# Class HttpResourcesLocatorImpl

java.lang.Object
org.eclipse.e4.ui.css.core.util.impl.resources.HttpResourcesLocatorImpl

All Implemented Interfaces:
  `IResourceLocator, IURIResolver`

public class HttpResourcesLocatorImpl extends Object implements IResourceLocator
Http resources locator implementation.

## Constructor Summary

Constructors
Constructor
Description
`HttpResourcesLocatorImpl()`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getInputStream(String uri)`
Return `InputStream` from the `uri`.
`String`
`resolve(String uri)`
Return the uri resolved.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpResourcesLocatorImpl

public HttpResourcesLocatorImpl()

## Method Details

### resolve

public String resolve(String uri)
Description copied from interface: `IURIResolver`
Return the uri resolved.

Specified by:
  `resolve` in interface `IURIResolver`

### getInputStream

public InputStream getInputStream(String uri) throws Exception
Description copied from interface: `IResourceLocator`
Return `InputStream` from the `uri`.

Specified by:
  `getInputStream` in interface `IResourceLocator`
Throws:
  `Exception`